/*
 * (C) Copyright 2000-2003
 * Wolfgang Denk, DENX Software Engineering, wd@denx.de.
 * 
 * Copyright (C) Sony corporation. 2007.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Change log:
 * 20080526:	AKA <masateru.akachi@jp.sony.com>
 *          	*changed version string format
 */

#ifndef	__VERSION_H__
#define	__VERSION_H__

#if !defined( CONFIG_BELLINI )
	#define	MKSTR_VERSION_( major, minor, teeny )
#else	/* ^- !CONFIG_BELLINI */
	#define	SONY_BELLINI_VER_BASE_STR	"Sony Bellini"
	#define	SONY_BELLINI_VER_PROD_STR	"_MP"	/* should be provided '_' at the top of this string for readability */

	#define SONY_BELLINI_VER_REL_FLAG	" R."	/* " R." is for release ver, " Test." is for unofficial patch */
	#define	SONY_BELLINI_VER_MAJOR		1
	#define	SONY_BELLINI_VER_MINOR		0
	#define	SONY_BELLINI_VER_TEENY		2

	#define	SONY_BELLINI_VER_PATCH_STR	" LnxPCI"	/* should be provided ' ' at the top of this string for readability */
	#define	MKSTR_VERSION_( major, minor, teeny ) \
				"[" \
					SONY_BELLINI_VER_BASE_STR SONY_BELLINI_VER_PROD_STR \
					SONY_BELLINI_VER_REL_FLAG #major "." #minor "." #teeny  \
					SONY_BELLINI_VER_PATCH_STR \
				"]"
#endif	/* ^-  CONFIG_BELLINI */
#define	MKSTR_VERSION( major, minor, teeny )	MKSTR_VERSION_( major, minor, teeny )	/* for expanding const-definitions */

#define	CONFIG_IDENT_STRING		MKSTR_VERSION( SONY_BELLINI_VER_MAJOR, SONY_BELLINI_VER_MINOR, SONY_BELLINI_VER_TEENY )
#define	U_BOOT_VERSION	"U-Boot 1.1.3"

#endif	/* __VERSION_H__ */
